@CHARSET "UTF-8";
* {
    margin: 0;
    padding: 0;
}

body {
    background: url(login_bg.png) no-repeat;
    background-size: 100%;
}

.logo {
    background:url(login_title_icon.png) no-repeat;

    background-size: 100%;
    width: 35%;
    height: 12rem;
    margin-left:32%;
    margin-top: 1rem;
}

.loginchosee{
	margin-top:1rem;
	margin-bottom:2rem;
	width: 70%;
	margin-left: 15%;
	height: 2rem;
}
.loginchosee div{
	width: 49%;
	height: 1.5rem;
	float: left;
}
.sjdl{
	background:url(register_selected_phone_icon.png) no-repeat;
	background-size: 100%;
	display:block;
	float: left;
	width: 10%;
	height: 2.5rem;
}
.yxdl{
	background:url(register_unselected_email_icon.png) no-repeat;
	background-size: 100%;
	display:block;
	float: left;
	width: 14%;
	height: 2.5rem;
	margin-left: 2rem;
}
.usernameID{
	width: 75%;height: 3rem;
	margin-left: 12.5%;
	border-bottom: 1px solid rgb(166,134,84);
}

.usernamepic{
	background: url(login_nick_icon.png) no-repeat;
	background-size: 100%;
	display:block;
	float: left;
	width: 14%;
	height: 2.5rem;
}

#uname {
	display:block;
	float:left;
    border-radius: 0.5rem;
    border: none;
    background-color:rgb(15,3,25);
    color: rgb(85,70,46);
    width: 70%;

    height: 3rem;
    font-size: 1rem;
    padding-left: 1rem;
}


input:-webkit-autofill {
    /* 完全重置浏览器默认样式 */
    appearance: none !important;
    -webkit-appearance: none !important;
    -moz-appearance: none !important;
    
    /* 然后重新设置 */
    border: 0 !important;
    outline: 0 !important;
    -webkit-text-fill-color: rgb(85,70,46) !important;
    -webkit-box-shadow: 0 0 0 1000px rgb(15,3,25) inset !important;
    box-shadow: 0 0 0 1000px rgb(15,3,25) inset !important;
    color: rgb(85,70,46) !important;
    background-color: rgb(15,3,25) !important;
}


.codeinput{
	display:block;
	float:left;
    border-radius: 0.5rem;
    border: none;
    background-color:rgb(15,3,25);;
    color: rgb(85,70,46);
    width: 70%;

    height: 3rem;
    font-size: 1rem;
    padding-left: 1rem;
}
.codeinput:focus{
  outline: none;
  border: none;
  box-shadow: none;
}
input:focus{
  outline: none;
  border: none;
  box-shadow: none;
}

input::placeholder {
  color: rgb(85,70,46); /* 红色 */
  opacity: 1; /* 确保颜色不透明 */
}

/* 兼容性写法 */
input::-webkit-input-placeholder { /* Chrome, Safari */
  color: rgb(85,70,46);
}
input::-moz-placeholder { /* Firefox */
  color: rgb(85,70,46);
  opacity: 1;
}
input::-ms-input-placeholder { /* IE 10-11 */
  color: rgb(85,70,46);
}


#uname:focus{
  outline: none;
  border: none;
  box-shadow: none;
}
.jiqitou{
	position: absolute;
	background:url(tx.png) no-repeat;
	background-size: 100%;
	width:5rem;
	height: 5rem;
	top:3rem;
    right:0.8rem;
}

#upass {
   display:block;
	float:left;
    border-radius: 0.5rem;
    border: none;
    background-color:rgb(15,3,25);;
    color: rgb(85,70,46);
    width: 70%;

    height: 3rem;
    font-size: 1rem;
    padding-left: 1rem;
    margin-left: 0.7rem;
}
#upass:focus{
  outline: none;
  border: none;
  box-shadow: none;
}

.checkboxO {
    width: 70%;
    margin-left: 12%;
    margin-top: 1.5rem;
    height: 3rem;
    font-size: 1rem;
}

#cbox {
    width: 2rem;
    height: 2rem;
}

.checkboxO a {
    padding-left: 2rem;
    color: red;
    font-weight: 900;
    text-decoration: none;
}

#submits {
    border-radius: 0.2rem;
    width: 75%;
    margin-left: 12%;
    margin-top: 1.5rem;
    height: 3rem;
    margin-left: 12%;
    font-size: 1.7rem;
    line-height: 3rem;
    color: rgb(111,104,94);
    text-align: center;
	background-color: rgb(217,175,109);
}

#regits {
    border-radius:1.5rem;
    width: 30%;
    margin-left: 12%;
    margin-top: 1.5rem;
    height: 2rem;
    margin-left: 12%;
    font-size: 1rem;
    line-height: 2rem;
    color: rgb(178,144,90);
    text-align: center;
    background-color: rgb(41,34,24);
    float: right;
}

#loginwei {
    border-radius: 0.5rem;
    border: 1px solid #ffff80;
    width: 75%;
    margin-left: 12%;
    margin-top: 1.5rem;
    height: 3rem;
    margin-left: 12%;
    font-size: 1.7rem;
    line-height: 3rem;
    color: white;
    text-align: center;
    background-color: #00c400;
}

#reupass {
    display:block;
	float:left;
    border-radius: 0.5rem;
    border: none;
    background-color:rgb(15,3,25);
    color: rgb(85,70,46);
    width: 70%;

    height: 3rem;
    font-size: 1rem;
    padding-left: 1rem;
    margin-left: 0.7rem;
}

.wdts {
    width: 75%;
    height: 200px;
    margin: 2rem auto;
    overflow-y: scroll;
    background-color: white;
    border: 2px dashed #ccc;
}

.wdts img {
    width: 30%;
    height: 80px;
    float: left;
    margin-left: 2%;
    margin-top: 20px;
    border: 1px solid white;
}

#submits2 {
    border-radius: 0.5rem;
    width: 75%;
    margin-left: 12%;
    margin-top: 1.5rem;
    height: 3rem;
    margin-left: 12%;
    font-size: 1.7rem;
    line-height: 3rem;
    color: white;
    text-align: center;
    background-color: #1057ea;
}

